
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery效果之显示与隐藏 / 憋错料</title>

    <meta name="description" content="jQuery效果之显示与隐藏 .hide([duration][,complete])--目标元素的隐藏: .show([duration][,complete])--目标元素的显示: .toggle([duration][,complete])--当目标元素隐藏时则显示,否则隐藏: 注:可选参数[duration]为方法执行的时间区间:[,complete]为回调函数. &lt;!DOCTYPE html&gt; &lt;html lang=&quot;zh_CN&quot;&gt; &lt;head&gt; &lt;me ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">jQuery效果之显示与隐藏</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>.hide([duration][,complete])——目标元素的隐藏；</p>
<p>.show([duration][,complete])——目标元素的显示；</p>
<p>.toggle([duration][,complete])——当目标元素隐藏时则显示，否则隐藏；</p>
<p>注：可选参数[duration]为方法执行的时间区间；[,complete]为回调函数。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang=&quot;zh_CN&quot;&gt;
&lt;head&gt;
    &lt;meta charset=&quot;UTF-8&quot;&gt;
    &lt;title&gt;显示与隐藏&lt;/title&gt;
    &lt;script src=&quot;js/jquery-2.1.3.min.js&quot;&gt;&lt;/script&gt;
    &lt;script src=&quot;js/my.js&quot;&gt;&lt;/script&gt;
    &lt;style&gt;
        div{
            background: #005599;
            width: 100px;
            height: 100px;
            margin: 5px;
            float: left;
        }
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;img src=&quot;images/g.jpg&quot;/&gt;
&lt;button id=&quot;btn1&quot;&gt;隐藏&lt;/button&gt;
&lt;button id=&quot;btn2&quot;&gt;显示&lt;/button&gt;
&lt;button id=&quot;btn3&quot;&gt;隐藏/显示&lt;/button&gt;

&lt;/body&gt;
&lt;/html&gt;</pre>
<p>my.js代码部分：</p>
<pre>/*显示与隐藏*/
$(document).ready(function(){
    //隐藏
    $(&#039;#btn1&#039;).click(function(){
        //$(&#039;img&#039;).hide();
        $(&#039;img&#039;).hide(1000);
    });
    //显示
    $(&#039;#btn2&#039;).click(function(){
        //$(&#039;img&#039;).show();
        $(&#039;img&#039;).show(1000);
    });
    //切换显示与隐藏
    $(&#039;#btn3&#039;).click(function(){
        //$(&#039;img&#039;).toggle();
        $(&#039;img&#039;).toggle(1000);
    });
    //利用hide()制作一个效果
    for(var i=0;i&lt;5;i++){
        $(&quot;&lt;div&gt;&quot;).appendTo(document.body);
    }
    $(&#039;div&#039;).click(function(){
        $(this).hide(2000,function(){
            $(this).remove();
        })
    })
})
</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA4MDkyMjQzNTYwNTM=.jpg"></p>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 06:00:28 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e5%89%8d%e7%ab%af/" title="前端">前端</a>, <a href="https://www.biecuoliao.com/tag/jquery/" title="jquery">jquery</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>jQuery效果之显示与隐藏的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e8nlbM.html" rel="bookmark">jquery的div显示和隐藏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38W8yZ0.html" rel="bookmark">jquery动画的显示与隐藏-fadeOut-fadeIn-fadeToggle-fadeTo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery动画的显示与隐藏-fadeOut-fadeIn-fadeToggle-fadeTo的代码: &lt;!doctype html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;gb2312&quot;&gt; &lt;title&gt;jquery动画的显示与隐藏-fadeOut-fadeIn-fadeToggle-fadeTo-title&lt;/title&gt; &lt;!--引入jquery文件--&gt; &lt;script			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6XJOv3.html" rel="bookmark">jQuery元素的显示、隐藏及动画</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.hide()    隐藏元素        $(&quot;div&quot;).hide();            2.show()    显示元素        $(&quot;div&quot;).show();            3.toggle() 可以切换元素显示与隐藏        $(&quot;div&quot;).toggle();        4.slideDown() 滑动显示,将隐藏的元素滑动显示出来.        $(&quot;div&quot;).slideD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Morwkw4.html" rel="bookmark">jquery单击按钮显示或隐藏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery 效果 - toggle() 方法 $(&quot;.btn1&quot;).click(function(){ $(&quot;p&quot;).hide(); }); 定义和用法 toggle() 方法切换元素的可见状态. 如果被选元素可见,则隐藏这些元素,如果被选元素隐藏,则显示这些元素. 语法 $(selector).toggle(speed,callback,switch) 参数 描述 speed 可选.规定元素从可见到隐藏的速度(或者相反).默认为 &quot;0&quot;. 可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDbyrn3.html" rel="bookmark">【jQuery&sol;CSS】显示或隐藏元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. CSS分别有display.visibility两个样式可以用于隐藏或显示HTML元素 1) display样式有多个类型的值可选择,默认值为inline,隐藏后会释放元素所占用的页面空间(详见:点击打开链接) style=&quot;display: none;&quot; document.getElementById(&quot;div1&quot;).style.display=&quot;none&quot;;//隐藏 document.getElementById(&quot;div1&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/NMy5DnM.html" rel="bookmark">vue类似tab切换的效果，显示和隐藏的判断。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				两者切换,动态显示对应的列表详情. 通过v-show的判断 数据驱动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZNwJJ3.html" rel="bookmark">Jquery效果函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery 效果函数 方法 描述 animate() 对被选元素应用“自定义”的动画 clearQueue() 对被选元素移除所有排队的函数(仍未运行的) delay() 对被选元素的所有排队函数(仍未运行)设置延迟 dequeue() 运行被选元素的下一个排队函数 fadeIn() 逐渐改变被选元素的不透明度,从隐藏到可见 fadeOut() 逐渐改变被选元素的不透明度,从可见到隐藏 fadeTo() 把被选元素逐渐改变至给定的不透明度 hide() 隐藏被选的元素 queue() 显示被选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nAGmjM.html" rel="bookmark">JQuery 总结（2） jQuery 效果动画</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一  切换   1.基本  show()展示,hide()隐藏,toggle()切换 show()展示,hide()隐藏,toggle()切换 btn.click(function () { btn1.toggle( &quot;slow&quot;,function () { 这个效果完成后 执行后面的fun函数 div.css({ background:&quot;red&quot; }) }); }) 2.滑动效果 slideDown 显示   slideUp 隐藏  slideToggle 来回滑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0edBvM.html" rel="bookmark">jQuery效果：隐藏、显示、切换、滑动、淡入淡出、动画</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery效果 隐藏.显示.切换.滑动.淡入淡出.以及动画 1.隐藏与显示(改变:display:none;) hide()--隐藏 show()--显示 toggle()方法:可以使用它来切换hide()与show()方法 eg1:显示 &lt;style type=&quot;text/css&quot;&gt; *{margin:0;padding:0;} .body{font-size:12px;font-family:&quot;微软雅黑&quot;;color:#666;} .yym{wid			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWqEm3.html" rel="bookmark" class="title">在CentOS上把MySQL从5&period;5升级到5&period;6（转）</a>
					<div>
						http://www.th7.cn/db/mysql/201408/66064.shtml 在CentOS上把MySQL从5.5升级到5.6 摘要:本文记录了在CentOS 6.3上,把MySQL从5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMogLQM.html" rel="bookmark" class="title">HDU 1061 Rightmost Digit</a>
					<div>
						Description Given a positive integer N, you should output the most right digit of N^N. Input The inp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrRaW4.html" rel="bookmark" class="title">ClassPathXmlApplicationContext和FileSystemXmlApplicationContext路径问题</a>
					<div>
						1.Spring中ClassPathXmlApplicationContext问题 ClassPathXmlApplicationContext是从ClassPath类加载路径下加载对应的xml文件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZY2rd0.html" rel="bookmark" class="title">Logstash 父子关系 配置</a>
					<div>
						最近在使用Lostash的过程中遇到了一个问题:在一个log文件里包含两类数据,而且两类数据之间存在父子关系,那如何使用lostash的configuration实现这个需求呢 思路: 首先定义父事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRQ5R0.html" rel="bookmark" class="title">VirtualBox设置共享文件夹和镜像访问的方法</a>
					<div>
						VirtualBox设置共享文件夹和镜像访问的方法 virtualBox是一款虚拟机软件,可以在该软件上安装各类的操作系统,至于如何安装请参见另外一篇经验&lt;如何使用VirtualBox安装win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O79wr3.html" rel="bookmark" class="title">Spring Data 关于Repository的介绍（四）</a>
					<div>
						Repository类的定义: public interface Repository&lt;T, ID extends Serializable&gt; { } 1)Repository是一个空接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M61mjN4.html" rel="bookmark" class="title">Nginx&plus;MogileFS分布式文件系统部署实验</a>
					<div>
						实验要求 1.  部署mogilefs分布式文件系统 2.  nginx代理 实验环境 1.拓扑 2.网络地址规划 node1:172.16.76.10 nginx (centos6.8) node2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49rZKbM.html" rel="bookmark" class="title">HDU 4366 Successor 分块做法</a>
					<div>
						http://acm.hdu.edu.cn/showproblem.php?pid=4366 今日重新做了这题的分块,果然是隔太久了,都忘记了.. 首先,用DFS序变成一维的问题 关键是它有两个权值, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qwyK3.html" rel="bookmark" class="title">&lbrack;openMP&rsqb; OpenMP在visual studio和mac上的配置</a>
					<div>
						今天弄了半天才弄好mac上的openmp,一方面智商下限,另一方面竟然发现网上也没有什么详细过程,特意把我的配置过程贴上来 多核编程可以认为是对多线程编程做了一定程度的抽象,提供一些简单的API,使得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5ZVyM.html" rel="bookmark" class="title">linux下安装TOMCAT</a>
					<div>
						在安装Tomcat之前需要安装j2sdk(Java 2 Software Development Kit),也就是JDK ◆1.安装JDK的步骤如下: rz命令安装语句:yum install -y  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bOOYo3.html" rel="bookmark" class="title">【多线程】学习7</a>
					<div>
						下面内容来自:http://blog.csdn.net/morewindows/article/details/7481609 前面介绍了关键段CS.事件Event.互斥量Mutex在经典线程同步问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JylVV3.html" rel="bookmark" class="title">变形--位移 translate&lpar;&rpar;</a>
					<div>
						变形--位移 translate() translate()函数可以将元素向指定的方向移动,类似于position中的relative.或以简单的理解为,使用translate()函数,可以把元素从原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPnXEM.html" rel="bookmark" class="title">IIS7&period;0提示---无法识别的属性&OpenCurlyDoubleQuote;targetFramework&rdquo;。请注意属性名称区分大小写。</a>
					<div>
						当我把我做的网站放在IIS7.0的服务器上的时候,浏览时提示这个错误信息 配置错误 说明: 在处理向该请求提供服务所需的配置文件时出错.请检查下面的特定错误详细信息并适当地修改配置文件. 分析器错误消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpA5b3.html" rel="bookmark" class="title">web开发性能优化---分布式篇</a>
					<div>
						1.分布式架构-独立站点开发 采用多web站点进行开发,为后期应对大数据量压力做准备,主要分为以下几部分: 1.web前端站点 2.图片.文件资源站点 3.管理端站点 4.数据接口站点 前期访问量和数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymWEjM.html" rel="bookmark" class="title">2016-2017学年第三次测试赛  习题E 林喵喵算术</a>
					<div>
						时间限制: 1 Sec  内存限制: 128 MB 提交: 70  解决: 25 提交统计讨论版 题目描述 给你两个八进制数,你需要在八进制计数法的情况下计算a-b. 如果结果为负数,你应该使用负号代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLyBX4.html" rel="bookmark" class="title">去除office打开时的宏提示-office 2010</a>
					<div>
						安装office的时候,由于选择的项比较少: 只选择了office的基本办公套件,word,excel,ppt 像access,share point等都没有选择. 安装好之后,发现每次打开一个wor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgNaw3.html" rel="bookmark" class="title">从Indy9升级到Indy10时IdTcpServer的变化</a>
					<div>
						从Indy9升级到Indy10时IdTcpServer的变化 首先Indy9.18中的TcpServer在Indy10中被分割成了2个组件:TIdCmdTCPServer和TIdTCPServer.其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Za5jG0.html" rel="bookmark" class="title">JDK和JRE的区别？</a>
					<div>
						自身对于JDK和JRE了解不是很深刻,重新学习了下别人对于它俩的认识. JDK就是Java Development Kit.简单的说JDK是面向开发人员使用的SDK,它提供了Java的开发环境和运行环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bL7j94.html" rel="bookmark" class="title">转wensy的个人空间 ：关于&OpenCurlyDoubleQuote;ORA-01653&colon; 表 SYS&period;AUD&dollar; 无法通过 128 &lpar;在表空间 SYSTEM 中&rpar; 扩展&rdquo;的错误</a>
					<div>
						SQL*Plus: Release 11.1.0.6.0 - Production on 星期一 5月 17 18:31:08 2010 Copyright (c) 1982, 2007, Oracl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/472L793.html" rel="bookmark" class="title">最值得一看的几条简单的谷歌 Google 搜索技巧，瞬间提升你的网络搜索能力！</a>
					<div>
						可能你和我一样,几乎每天都必须与搜索引擎打交道,不过很多时候,你辛辛苦苦搜了半天也没找到合适的资料,然而“高手们”上来一眨眼功夫就能命中目标了.这并不是别人运气好,而是搜索引擎其实是有很多技巧可以帮助 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
